.on-map {
    margin: 0 !important;
    padding: 0 !important;
}

.welcome-container {
    height: auto;
    position: relative;
}

.map-container {
    position: relative;
}

.map-sidebar-container {
    min-height: calc(100vh - 3.7rem + 1px);
    position: relative;
    overflow: hidden;
}

.map-filters {
    overflow-y: auto;
    position: absolute;
    top: 0;
    left: 100%;
    bottom: 0;
    width: 100%;
    z-index: 50;
    background-color: white;
    -webkit-transition: left 500ms ease-in-out;
    -moz-transition: left 500ms ease-in-out;
    -ms-transition: left 500ms ease-in-out;
    -o-transition: left 500ms ease-in-out;
    transition: left 500ms ease-in-out;
}

.map-filters.active {
    left: 0;
}

.map-occurrence-item {
    cursor: pointer;
    border-radius: .25rem;
    border: solid 2px transparent;
    margin: 3px 0;
}

.map-occurrence-item h4 {
    margin: 0;
}

.map-occurrence-item p {
    margin: 0;
}

.map-occurrence-item:hover {
    border-color: rgba(0, 0, 0, .1);
}

.map-occurrence-item.active {
    border-color: rgba(0, 0, 0, .1);
    background-color: rgba(0, 0, 0, .1);
}

.map-callout {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    transform: translate(-50%, -100%);
    max-height: 170px;
    min-width: 260px;
    max-width: 300px;
    font-family: var(--font-family-sans-serif) !important;
    font-size: 16px;
}

.map-callout > .callout {
    position: relative;
    margin-bottom: 10px;
}

.map-callout > .callout pre {
    margin: 0;
    padding: 0;
    font-size: 16px !important;
    white-space: pre-wrap;       /* Since CSS 2.1 */
    word-wrap: normal;       /* Internet Explorer 5.5+ */

}

.map-callout > .callout::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -10px;
    width: 0;
    height: 0;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 8px solid white;
}

.map-callout > .callout .callout-container {
    position: relative;
    overflow-y: auto;
    max-height: 100%;
    max-width: 100%;
}

.map-occurrence {
    border-top: solid 1px #ccc;
}

.map-container {
    height: calc(100vh - 3.7rem + 1px);
    padding: 0;
    margin: 0;
}

@media (min-width: 992px) {
    .map-occurrence {
        overflow-y: auto;
        position: absolute;
        top: 70px;
        left: 0;
        bottom: 0;
        right: 0;
    }

    .map-callout {
        max-width: 450px;
        max-height: 250px;
    }

    .welcome-container {
        height: calc(100vh - 114px);
    }

    .map-sidebar-container {
        height: calc(100vh - 3.7rem + 1px);
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
    }

    .map-container {
        position: absolute;
        top: 0;
        left: 0;
        bottom: 0;
    }
}
